OVH Community, your new community space.

Problemas con la Distribución de CentOS 5.0 de OVH.


ramses
16/06/2008, 17:37
Hola a todos,

Estoy intentando instalar unos paquetes en un servidor de OVH, que está en CentOS 5, pero me da errores a la hora de compilar.

El ./configure lo hace bien.

Cuando hacemos el make, nos tira este error:

-------------------------------------------------------
echo "You do not appear to have the sources for the 2.6.24.5-grsec-xxxx-grs-ipv4-32 kernel installed."
You do not appear to have the sources for the 2.6.24.5-grsec-xxxx-grs-ipv4-32 kernel installed.
-------------------------------------------------------

Le hacemos un "yum install kernel-devel" y nos dice que tenemos el siguiente paquete para instalar:

kernel-devel.i686 2.6.18-53.1.19.el5 updates

Le decimos que nos lo instale y nos dice que ya tenemos el siguiente paquete, que es más nuevo:

-------------------------------------------------------
package kernel-devel-2.6.18-53.1.21.el5 (which is newer than kernel-devel-2.6.18-53.1.19.el5) is already installed
-------------------------------------------------------

Si le hacemos un "uname -r" para ver el que tenemos corriendo, nos dice que tenemos el siguiente:

2.6.24.5-grsec-xxxx-grs-ipv4-32

Si desinstalamos el kernel-devel instalado y lo volvemos a instalar, nos instala en mismo, y no conseguimos instalar los sources del kernel que está corriendo "2.6.24.5-grsec-xxxx-grs-ipv4-32".

¿A alguien se le ha dado este caso?

¿Lo ha podido solucionar?


Saludos y gracias,

Ramses